Subject: bug#7790: closed (Re: bug#7790: cannot build dev tree on windows with mingw)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 05 Jan 2011 18:46:02 +0000

Your bug report

#7790: cannot build dev tree on windows with mingw

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
7790: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=7790
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#7790: cannot build dev tree on windows with mingw
From: Óscar Fuentes <[email-masked]>
To: Sam Steingold <[email-masked]>
Cc: [email-masked]
Date: Wed, 05 Jan 2011 19:53:01 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Sam Steingold <[email-masked]> writes:

> I cannot build emacs dev tree on windows using mingw.
> I did:
>  ./configure.bat --no-debug --with-gcc --without-xpm \
>     --cflags -IC:/gnu/gnuwin32/include --ldflags -LC:/gnu/gnuwin32/lib
> make bootstrap
> which eventually failed with
>
> gcc -o oo-spd/i386/ctags.exe    -mno-cygwin -LC:/gnu/gnuwin32/lib
> oo-spd/i386/ctags.o oo-spd/i386/getopt.o oo-spd/i386/getopt1.o
> oo-spd/i386/ntlib.o oo-spd/i386/regex.o   -ladvapi32
> oo-spd/i386/ctags.o:ctags.c:(.text+0x19f3): undefined reference to
> `__imp__re_set_syntax'

Remove regex.h from your gnuwin32 setup.

That's mentioned on etc/PROBLEMS under this heading.

*** Building the native MS-Windows port fails due to unresolved externals

Closing.

[snip]

Subject: cannot build dev tree on windows with mingw
From: Sam Steingold <[email-masked]>
To: [email-masked]
Date: Wed, 5 Jan 2011 12:59:27 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

I cannot build emacs dev tree on windows using mingw.
I did:
 ./configure.bat --no-debug --with-gcc --without-xpm \
    --cflags -IC:/gnu/gnuwin32/include --ldflags -LC:/gnu/gnuwin32/lib
make bootstrap
which eventually failed with

gcc -o oo-spd/i386/ctags.exe    -mno-cygwin -LC:/gnu/gnuwin32/lib
oo-spd/i386/ctags.o oo-spd/i386/getopt.o oo-spd/i386/getopt1.o
oo-spd/i386/ntlib.o oo-spd/i386/regex.o   -ladvapi32
oo-spd/i386/ctags.o:ctags.c:(.text+0x19f3): undefined reference to
`__imp__re_set_syntax'
oo-spd/i386/ctags.o:ctags.c:(.text+0x1a19): undefined reference to
`__imp__re_compile_pattern'
oo-spd/i386/ctags.o:ctags.c:(.text+0x1e6b): undefined reference to
`__imp__re_match'
oo-spd/i386/ctags.o:ctags.c:(.text+0x73ec): undefined reference to
`__imp__re_search'
collect2: ld returned 1 exit status
make: *** [oo-spd/i386/ctags.exe] Error 1

note that the missing symbols are found in regex.o without the __imp_ prefix:

$ nm oo-spd/i386/regex.o
00000000 b .bss
00000000 d .data
00000000 r .rdata
00000000 t .text
         U __alloca
         U __imp____mb_cur_max
         U __imp___pctype
         U __isctype
         U _abort
0000061c t _analyse_first
         U _exit
         U _free
0000083c t _group_in_compile_stack
0000080b t _insert_op1
0000088d t _insert_op2
         U _malloc
         U _memcpy
         U _memset
00003d91 t _mutually_exclusive_p
00003cef T _re_compile_fastmap
00005dc9 T _re_compile_pattern
00000020 d _re_error_msgid
000002dd T _re_iswctype
00005a94 T _re_match
00005a46 T _re_match_2
00004029 t _re_match_2_internal
00000000 D _re_max_failures
00005d7f T _re_search
00005acd T _re_search_2
00003d49 T _re_set_registers
000000bd T _re_set_syntax
000000d0 T _re_set_whitespace_regexp
00000010 C _re_syntax_options
00000010 b _re_syntax_table
000000dd T _re_wctype
         U _realloc
00005dff T _regcomp
000060c4 T _regerror
000008cc t _regex_compile
00005f78 T _regexec
0000614d T _regfree
000005be t _skip_one_char
000007f8 t _store_op1
0000086c t _store_op2
         U _strcpy
         U _strncpy
         U _tolower
00000110 b _whitespace_regexp
         U _write
00000000 T _xmalloc
00000054 T _xrealloc
00000000 b done.0

-- 
Sam Steingold <http://sds.podval.org>